package com.community.huiju.common.perproties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

/**
 * 支付回调地址配置
 * @author weiximei
 */
@Component
@ConfigurationProperties(prefix = "pay-notify")
@Data
public class PayNotifyPerproties {

    /**
     * 微信回调 物业缴费
     */
    private String wxBillNotify;

    /**
     * 支付宝回调 物业缴费
     */
    private String aliBillNotify;

    /**
     * 微信回调 车缴费
     */
    private String wxCarNotify;

    /**
     * 支付宝回调 车缴费
     */
    private String aliCarNotify;
    
    /**
     * 微信临时车回调
     */
    private String wxTmpNotify;
    
    /**
     * 支付宝临时车回调
     */
    private String aliTmpNotify;
}
