package com.community.huiju.feign;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.feign.impl.FuShiServerImpl;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "hardware-server", fallback = FuShiServerImpl.class)
public interface IFuShiServer {

    /**
     * 根据车牌号 获取车牌信息
     * @param carNo
     * @return
     */
    @GetMapping("/car/getParkInfoByCarNo")
    String getParkInfoByCarNo(@RequestParam("carNo") String carNo);

    /**
     * 月租车缴费
     * @param parameter
     * @return
     */
    @PostMapping("/car/apiThirdPartyMonthCardPay")
    String apiThirdPartyMonthCardPay(@RequestBody String parameter);

    /**
     * 临时车缴费
     * @param parameter
     * @return
     */
    @PostMapping("/car/apiThirdPartyTemporaryCardPay")
    String apiThirdPartyTemporaryCardPay(@RequestBody String parameter);

}
