package com.community.huiju.vo;

import com.community.huiju.model.TpTicket;
import com.community.huiju.model.TpTicketRecord;
import com.community.huiju.model.TpUser;
import com.community.huiju.model.TpannouncementTel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import sun.security.krb5.internal.Ticket;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 工单列表数据
 * @author weiximei
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TpTicketVO extends TpTicket {

    /** 编号 **/
    private Integer id;

    /** 小区编号 **/
    private Integer communityId;

    /** 用户app的id **/
    private Integer taUserId;

    /**评分**/
    private String score;
    /** ================================ **/

    /** 工单标题 **/
    private String ticketTitle;

    /** 类型 报修/投诉/联系单 **/
    private String type;

    /** 受理人的id **/
    private Integer tpUserId;

    private Date createDate;

    private Date updateDate;

    /** 报修类型：0:公共区域  1: 房屋质量  2::户内设施  PS : 报修的情况下才有报修类型  **/
    private String repairType;

    /**
     * 报修类型的名字
     */
    private String repairName;

    /** ====================================== **/

    /** 流程状态 **/
    private String status;

    /** 流程状态名称 **/
    private String ticketStatusName;

    /** 流程状态内容 **/
    private String ticketStatusContent;

    /** 流程状态时间 **/
    private Date ticketRecordDate;

    /** 最新进展 **/
    private String commentContent;

    /** 最新进展的时间 **/
    private Date commentCreateDate;

    /** 联系物业号码簿 **/
    private Map<String,Object> contactBook;

    /**投诉流程状态**/
    private String statusList;

    /**
     * 工单发起人
     */
    private String createUserNmae;

    /**
     * 发起人手机号码
     */
    private String loginName;

    /**
     * 当前受理人
     */
    private String tpUserNmae;

    /**
     * 物业端所有小区人员
     */
    private List<TpUser> tpUsersList;

    /**
     * 本人
     */
    private  String currentUserName;

    /**
     * 工单内容图片
     */
    private  List<String> contentImageUrl;

    /**
     * 工单流程
     */
    private List<TpTicketRecord> recordList;

    /**
     * 工单创建人房产
     */
    private  String houseProperty;
}
