package com.community.huiju.controller;

import com.alibaba.fastjson.JSONObject;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.service.FSHardwareServiceI;
import com.community.huiju.service.HkHardwareServiceI;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.xml.bind.util.JAXBSource;

/**
 * @author FXF
 * @date 2019-07-03
 */
@RestController
@RequestMapping("/")
@RefreshScope
@Api(value = "硬件服务 API", description = "硬件服务 API")
public class HardwareController {
	
	@Autowired
	private FSHardwareServiceI fsHardwareService;
	
	@Autowired
	private HkHardwareServiceI hkHardwareService;
	
	
	public String testAddFace(String jsonString){
		//解析json
		//厂家信息
		if ("HK".equals(jsonString)){
			//硬件信息
			if ("KSDJ".equals(jsonString)){
				//下发人脸权限
			}else if ("MJ".equals(jsonString)){
				//下发人脸权限
			}
		}else if ("FS".equals(jsonString)){
			//硬件信息
			if ("KSDJ".equals(jsonString)){
				//下发人脸权限
			}else if ("MJ".equals(jsonString)){
				//下发人脸权限
			}
		}
		return "";
	}

	@ApiOperation(value = "添加人员", notes = "添加人员")
	@ApiImplicitParams({
			@ApiImplicitParam(dataTypeClass = String.class, paramType = "body", name = "jsonString", value =
					"{\n" +
					"\t\"type\": \"厂商\",\n" +
					"\t\"person\": {\n" +
                              "\t\"openapi_ip_port_http\":\"服务器地址\"," +
                              "\t\"appkey\":\"服务器appkey\"," +
                              "\t\"secret\":\"服务器secret\", " +
                              "\t\"opUserUuid\":\"操作人员UUID\"," +
                              "\t\"personNo\":\"人员编号\"," +
                              "\t\"personName\":\"人员姓名\"," +
                              "\t\"remark\":\"手机号\", "+
                              "\t\"deptUuid\",\"部门uuid\", " +
                              "\t\"card\":\"卡号\"," +
                              "\t\"expirationTime\": 开卡有效期, 值为 0 表示 20 年" +
					"\t}\n" +
					"}")
	})
	@PostMapping(value = "/pushPerson")
	public ResponseBean pushPerson(@RequestBody String jsonString) {
		ResponseBean responseBean = new ResponseBean();
		JSONObject jsonObject = JSONObject.parseObject(jsonString);
		String type = jsonObject.getString("type");
		if ("hk".equals(type)) {
			responseBean = hkHardwareService.addPerson(jsonObject.getString("person"));
		} else {
			responseBean.addError("未找到服务商：" + type);
		}

		return responseBean;
	}

	@ApiOperation(value = "修改人员", notes = "修改人员")
	@ApiImplicitParams({
			@ApiImplicitParam(dataTypeClass = String.class, paramType = "body", name = "jsonString", value =
					"{\n" +
					"\t\"type\": \"厂商\",\n" +
					"\t\"person\": {\n" +
					"\t\t\"openapi_ip_port_http\": \"服务器地址\",\n" +
					"\t\t\"appkey\": \"服务器appkey\",\n" +
					"\t\t\"secret\": \"服务器secret\",\n" +
					"\t\t\"opUserUuid\": \"操作人员UUID\",\n" +
					"\t\t\"personNo\": \"人员编号\",\n" +
					"\t\t\"personName\": \"人员姓名\",\n" +
					"\t\t\"remark\": \"手机号\",\n" +
					"\t\t\"deptUuid\": \"部门uuid\",\n" +
					"\t\t\"personId\": \"人员海康ID\"\n" +
					"\n" +
					"\t}\n" +
					"}")
	})
	@PostMapping(value = "/updatePerson")
	public ResponseBean updatePerson(@RequestBody String jsonString) {
		ResponseBean responseBean = new ResponseBean();
		JSONObject jsonObject = JSONObject.parseObject(jsonString);
		String type = jsonObject.getString("type");
		if ("hk".equals(type)) {
			responseBean = hkHardwareService.updatePerson(jsonObject.getString("person"));
		} else {
			responseBean.addError("未找到服务商：" + type);
		}

		return responseBean;
	}

	@ApiImplicitParams({
            @ApiImplicitParam(dataTypeClass = String.class, paramType = "body", name = "jsonString", value =
                    "{\n" +
                    "\t\"type\": \"厂商\",\n" +
                    "\t\"face\": {\n" +
                    "\t\t\"doorPermissions\": { // 下发门口机权限(可视对讲)\n" +
                    "\t\t\t\"authName\": \"权限组\",\n" +
                    "\t\t\t\"personIds\": [人员海康ID...],\n" +
                    "\t\t\t\"secret\": \"服务器secret\",\n" +
                    "\t\t\t\"appkey\": \"服务器appkey\",\n" +
                    "\t\t\t\"openapi_ip_port_http\": \"服务器地址\",\n" +
                    "\t\t\t\"opUserUuid\": \"服务器操作人员UUID\",\n" +
                    "\t\t\t\"longNums\": \"门口机(可视对讲)编号\"\n" +
                    "\t\t},\n" +
                    "\t\t\"doorFace\": { // 下发门口机人脸权限\n" +
                    "\t\t\t\"secret\": \"服务器secret\",\n" +
                    "\t\t\t\"appkey\": \"服务器appkey\",\n" +
                    "\t\t\t\"openapi_ip_port_http\": \"服务器地址\",\n" +
                    "\t\t\t\"opUserUuid\": \"服务器操作人员UUID\",\n" +
                    "\t\t\t\"opType\": 1, // 表示下发\n" +
                    "\t\t\t\"personIds\": \"人员海康ID\",\n" +
                    "\t\t\t\"longNums\": \"门口机(可视对讲)编号\"\n" +
                    "\t\t},\n" +
                    "\t\t\"entranceGuardPermissions\": { // 下发门禁权限\n" +
                    "\t\t\t\"personIds\": \"人员海康ID\",\n" +
                    "\t\t\t\"doorUuids\": \"门禁点UUID\",\n" +
                    "\t\t\t\"secret\": \"服务器secret\",\n" +
                    "\t\t\t\"appkey\": \"服务器appkey\",\n" +
                    "\t\t\t\"openapi_ip_port_http\": \"服务器操地址\",\n" +
                    "\t\t\t\"opUserUuid\": \"服务器操作人员UUID\"\n" +
                    "\t\t},\n" +
                    "\t\t\"entranceGuardFace\": { // 下发门禁人脸权限\n" +
                    "\t\t\t\"secret\": \"服务器secret\",\n" +
                    "\t\t\t\"appkey\": \"服务器appkey\",\n" +
                    "\t\t\t\"openapi_ip_port_http\": \"服务器操地址\",\n" +
                    "\t\t\t\"opUserUuid\": \"服务器操作人员UUID\",\n" +
                    "\t\t\t\"personIds\": \"人员海康ID\",\n" +
                    "\t\t\t\"deviceUuids\": \"门禁设备UUID\",\n" +
                    "\t\t\t\"type\": \"1\"\n" +
                    "\t\t},\n" +
                    "\t\t\"person\": {\n" +
                    "\t\t\t\"secret\": \"服务器secret\",\n" +
                    "\t\t\t\"appkey\": \"服务器appkey\",\n" +
                    "\t\t\t\"openapi_ip_port_http\": \"服务器操地址\",\n" +
                    "\t\t\t\"opUserUuid\": \"服务器操作人员UUID\",\n" +
                    "\t\t\t\"personId\": \"人员海康ID\",\n" +
                    "\t\t\t\"personNo\": \"人员海康编号\",\n" +
                    "\t\t\t\"personName\": \"人员名称\",\n" +
                    "\t\t\t//\"facePhoto\":\"人脸图片\",\n" +
                    "\t\t\t\"cardNo\": \"卡号\"\n" +
                    "\t\t}\n" +
                    "\t}\n" +
                    "}")
    })
	@ApiOperation(value = "添加人脸", notes = "添加人脸")
	@PostMapping(value = "/addFace", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
	public ResponseBean addFace(@RequestPart("uploadFile") MultipartFile faceImg, @RequestParam("jsonString") String jsonString) {
		ResponseBean responseBean = new ResponseBean();
		JSONObject jsonObject = JSONObject.parseObject(jsonString);
		String type = jsonObject.getString("type");
		if ("hk".equals(type)) {
			responseBean = hkHardwareService.addFace(faceImg,jsonObject.getJSONObject("face").toJSONString());
		} else {
			responseBean.addError("未找到服务商：" + type);
		}

		return responseBean;
	}

    @ApiImplicitParams({
            @ApiImplicitParam(dataTypeClass = String.class, paramType = "body", name = "jsonString", value =
                    "{\n" +
                            "\t\"type\": \"厂商\",\n" +
                            "\t\"face\": {\n" +
                            "\t\t\"doorFace\": { // 下发门口机人脸权限\n" +
                            "\t\t\t\"secret\": \"服务器secret\",\n" +
                            "\t\t\t\"appkey\": \"服务器appkey\",\n" +
                            "\t\t\t\"openapi_ip_port_http\": \"服务器地址\",\n" +
                            "\t\t\t\"opUserUuid\": \"服务器操作人员UUID\",\n" +
                            "\t\t\t\"opType\": 1, // 表示下发\n" +
                            "\t\t\t\"personIds\": \"人员海康ID\",\n" +
                            "\t\t\t\"longNums\": \"门口机(可视对讲)编号\"\n" +
                            "\t\t},\n" +
                            "\t\t\"entranceGuardFace\": { // 下发门禁人脸权限\n" +
                            "\t\t\t\"secret\": \"服务器secret\",\n" +
                            "\t\t\t\"appkey\": \"服务器appkey\",\n" +
                            "\t\t\t\"openapi_ip_port_http\": \"服务器操地址\",\n" +
                            "\t\t\t\"opUserUuid\": \"服务器操作人员UUID\",\n" +
                            "\t\t\t\"personIds\": \"人员海康ID\",\n" +
                            "\t\t\t\"deviceUuids\": \"门禁设备UUID\",\n" +
                            "\t\t\t\"type\": \"1\"\n" +
                            "\t\t},\n" +
                            "\t\t\"person\": {\n" +
                            "\t\t\t\"secret\": \"服务器secret\",\n" +
                            "\t\t\t\"appkey\": \"服务器appkey\",\n" +
                            "\t\t\t\"openapi_ip_port_http\": \"服务器操地址\",\n" +
                            "\t\t\t\"opUserUuid\": \"服务器操作人员UUID\",\n" +
                            "\t\t\t\"personId\": \"人员海康ID\",\n" +
                            "\t\t\t\"personNo\": \"人员海康编号\",\n" +
                            "\t\t\t\"personName\": \"人员名称\",\n" +
                            "\t\t\t//\"facePhoto\":\"人脸图片\",\n" +
                            "\t\t\t\"cardNo\": \"卡号\"\n" +
                            "\t\t}\n" +
                            "\t}\n" +
                            "}")
    })
    @ApiOperation(value = "修改人脸", notes = "修改人脸")
    @PostMapping(value = "/updateFace", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    public ResponseBean updateFace(@RequestPart("uploadFile") MultipartFile faceImg, @RequestParam("jsonString") String jsonString) {
        ResponseBean responseBean = new ResponseBean();
        JSONObject jsonObject = JSONObject.parseObject(jsonString);
        String type = jsonObject.getString("type");
        if ("hk".equals(type)) {
            responseBean = hkHardwareService.updateFace(faceImg,jsonObject.getJSONObject("face").toJSONString());
        } else {
            responseBean.addError("未找到服务商：" + type);
        }

        return responseBean;
    }

}
