package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商铺评价表
 * </p>
 *
 * @author jobob
 * @since 2019-07-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_shop_appraisal")
public class ShopAppraisal implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 小区ID
     */
    private Integer communityId;

    /**
     * 商铺ID
     */
    private Integer shopId;

    /**
     * 评分 0- 5
     */
    private String score;

    /**
     * 评价内容
     */
    private String content;

    /**
     * 评价人
     */
    private String appraisalPeople;

    /**
     * 评价人手机号
     */
    private String appraisalTel;

    /**
     * 评价人头像
     */
    private String appraisalAvatar;

    /**
     * 权重
     */
    private Integer sort;

    /**
     * 评价状态 1 是有效  0 是无效
     */
    private String status;

    /**
     * 创建人ID
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 商铺名称
     */
    @TableField(exist = false)
    private String shopName;

    /**
     * 回复内容
     */
    @TableField(exist = false)
    private String replayContent;

    /**
     * 回复人
     */
    @TableField(exist = false)
    private  String replayPeople;


}
