package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备表
 * </p>
 *
 * @author jobob
 * @since 2019-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_equipment")
public class TpEquipment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备url地址，对应 配置tp_configuration 表id
     */
    private Integer urlId;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 安保人员电话，对应 配置tp_configuration 表id
     */
    private Integer securityGuardTelId;

    /**
     * 保安室电话，对应 配置tp_configuration 表id
     */
    private Integer securityRoomTelId;

    /**
     * 设备地址，对应 配置tp_configuration 表id
     */
    private Integer addressId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 修改人
     */
    private Integer updateUser;

    /**
     * 设备UUID ，对应 配置tp_configuration 表id
     */
    private Integer uuidId;
    /**
     * 设备类型，1 监控 2 访客机 3 可是对讲 (看字典表)
     */
    private String equipmentType;

    /**
     * 设备树id，对应 tp_equipment_tree 表id
     */
    private Integer equipmentTreeId;

    // =======================

    /**
     * url
     */
    @TableField(exist = false)
    private String url;

    /**
     * 安保人员电话
     */
    @TableField(exist = false)
    private String securityGuardTel;

    /**
     * 安保室电话
     */
    @TableField(exist = false)
    private String securityRoomTel;

    /**
     * 设备地址
     */
    @TableField(exist = false)
    private String address;

    /**
     * UUID
     */
    @TableField(exist = false)
    private String uuid;

    private String appkey;
    private String secret;
}
