package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.Hotel;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 酒店 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
public interface IHotelService extends IService<Hotel> {

    /**
     * 房间列表
     * @param parameter
     * @param communityId
     * @return
     */
    ResponseBean hotelRoomLiset(String parameter, Integer communityId);

    /**
     * 添加房间
     * @param parameter
     * @return
     */
    ResponseBean hotelRoomAdd(String parameter , UserElement userElement);

    /**
     * 编辑房间
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean hotelRoomEdit(String parameter, UserElement userElement);

    /**
     * 修改上架或下架
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean hotelRoomRoomStatus(String parameter, UserElement userElement);
	
	/**
	 * 根据小区id获取酒店信息
	 * @param userElement
	 * @return
	 */
	Hotel getHotelData(UserElement userElement);
	
	/**
	 * 添加或修改酒店
	 * @param hotel
	 * @param userElement
	 * @return
	 */
	ResponseBean addHotel(Hotel hotel, UserElement userElement);
}
